
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>帮你修复DNS故障的十个要诀 / iVAN</title>

    <meta name="description" content="帮你修复DNS故障的十个要诀 DNS是网络基础协议之一,想必大家都应该有所了解.对于所有基于Windows系统的网络来说,DNS都属于最重要的服务之一.在没有DNS支持的情况下,活动目录就不能正常工作,并且它使用到的功能也比任何其它类型的网络都多.因此,在DNS出现问题时尽快解决就成为一项非常关键的工作.幸运的是,在通常情况下这一过程是比较容易的.在本文中,作者就列出了十项DNS故障排除技术. 修复DNS故障1:对网络连接情况进行验证 当发现DNS服务出现问题时,应该做的第一件事情就是对DNS服务器的网络连接情况进行验证.毕">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">帮你修复DNS故障的十个要诀</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>DNS是网络基础协议之一，想必大家都应该有所了解。对于所有基于Windows系统的网络来说，DNS都属于最重要的服务之一。在没有DNS支持的情况下，活动目录就不能正常工作，并且它使用到的功能也比任何其它类型的网络都多。因此，在DNS出现问题时尽快解决就成为一项非常关键的工作。幸运的是，在通常情况下这一过程是比较容易的。在本文中，作者就列出了十项DNS故障排除技术。</p>
<p>修复DNS故障1：对网络连接情况进行验证</p>
<p>当发现DNS服务出现问题时，应该做的第一件事情就是对DNS服务器的网络连接情况进行验证。毕竟，如果实际问题仅仅是一块网卡出现了故障，耗费在从头开始对设备进行全面检查的大量时间就可以都省下来了。</p>
<p>对连接情况进行验证的最简单方法就是登录到DNS服务器上，并利用ping命令检查与其它机器的连接状态。还应该做的就是，尝试利用随机机器来ping连接DNS服务器。请务必牢记，只有在防火墙的配置里容许网际消息控制协议(ICMP)数据包通过的情况下，ping命令才能发挥作用。</p>
<p>修复DNS故障2：确定问题波及的范围</p>
<p>在确定基本连接正常的情况下，下一步要做的工作就是确定问题波及的范围。实际情况是互联网名称解析服务失败，还是本地名称解析服务失败呢?对于不同的问题来说，采取的解决方法也是有很大区别的。举例来说，如果本地名称解析服务正常，而互联网名称解析服务失败的话，问题可能就是出在互联网服务供应商的DNS服务器上。</p>
<p>修复DNS故障3:确认是否所有用户都受到影响</p>
<p>接下来要考虑的另一件事情就是是否网络上的所有用户都受到了影响，或者是仅仅限于部分用户。如果确认只有部分用户受到影响的话，请对这些用户所在的网络段位置进行检查，确认他们是否属于同一范围。如果答案是确定的话，问题可能与路由器故障或动态主机配置协议(DHCP)配置错误有关。</p>
<p>修复DNS故障4：确认DNS服务器上是否运行了负载均衡处理技术</p>
<p>某些情况中，公司对网络服务器资源的极大需求会导致DNS服务器被分散到多台相同的网络服务器上利用DNS轮循技术实现工作量的负载平衡技术被投入使用。该技术中存在的一个典型问题就是，在其中一台服务器已经宕机的情况下，DNS服务器不会了解到实际情况发生了变化。因此，尽管其中的一台服务器已经处于脱机状态，但输入流量依然被平均分配给循环中的所有服务器。由此导致的结果就是负载平衡资源在连接间歇性方面出现问题。</p>
<p>修复DNS故障5：对DNS服务器转发器进行检查</p>
<p>如果已经确认本地名称解析服务运行正常，但互联网名称解析服务无法工作的话，下面要检查的就是DNS服务器是否在使用转发器。尽管很多DNS服务器都利用根提示来提供互联网名称解析服务，但也有一些使用转发器连接到互联网服务供应商的DNS服务器上。如果互联网服务供应商的DNS服务器出现了问题，在解析器缓存中条目过期的情况下，互联网名称解析服务将失败。如果确认DNS服务器没有使用转发器，还可以尝试一下对服务器进行ping检测，以了解它是否在线。可能需要做的还包括致电互联网服务供应商，来了解那里是否存在任何DNS方面的问题，并确保在转发器中使用的网络IP地址仍然属于有效的。</p>
<p>修复DNS故障6：尝试利用一台主机进行ping测试</p>
<p>如果本地网络中的名称解析服务出现问题，就应该选择尝试对网络中的其它服务器进行ping测试。首先，可以利用服务器的网络IP地址进行ping测试。这样的话，就可以确认该服务器是否依然可以连接。接下来，要做的就是利用计算机名称和服务器的完全合格域名进行ping测试。</p>
<p>如果网络IP地址可以通过ping测试，但域名无法通过的话，就应该对DNS服务器进行检查，以确保主机(A)记录的存在。如果没有主机(A)记录的话，DNS服务器将无法解析主机的名称。</p>
<p>修复DNS故障7：使用NSLookup查询域名命令</p>
<p>对于排除DNS故障来说，最方便的工具之一就是NSLookup查询域名命令。它可以在Windows命令提示符窗口中使用。只要输入NSLookup加上需要测试名称解析服务的主机名称，Windows就可以返回DNS服务器的网络IP地址和解析名称(尽管在通常情况下，DNS服务器名称显示的是为未知)。它也可以提供指定主机的完全合格域名和网络IP地址。</p>
<p>对于两件事情来说，NSLOOKUP命令非常有用。首先，它可以容许对名称解析服务是否正常进行验证。其次，如果名称解析服务无法正常工作，它可以帮助确认使用的服务器是哪一台。请务必牢记，Nslookup的查询结果中只列出它最初连接到的DNS服务器。如果名称解析请求被转发到其它DNS服务器的话，这些服务器是不会被列出的。</p>
<p>修复DNS故障8：尝试使用一台备用DNS服务器</p>
<p>大多数公司都拥有至少两台DNS服务器。如果主DNS服务器出现了问题，请尝试使用备用DNS服务器。如果在切换DNS服务器后，名称解析服务可以正常工作，就可以确认该问题确实是涉及到DNS服务器，而不是一些外部因素。</p>
<p>修复DNS故障9：扫描病毒</p>
<p>大约一星期前，有人向我求助。他们的网络中出现了问题，现象是每当试图访问特定网站的时间，就会被重定向到一家恶意站点上。我最早的怀疑是DNS中毒攻击，但在发现实际情况是只有一台计算机受到影响后，这种可能性被排除了。</p>
<p>最后，我发现问题是一种病毒占据了TCP/IP协议栈，对所有名称解析请求进行拦截。尽管这一问题在最初看起来似乎是DNS的问题，但实际上病毒需要承担最终的责任。</p>
<p>修复DNS故障10：重新启动DNS服务器</p>
<p>我知道这种措施看上去很象陈词滥调，但当所有解决方案都没有成功的时间，选择重新启动DNS服务器也是一条出路。在这么多年的工作经历中，我见到多起由于未知原因导致名称解析服务失败，但在重新启动DNS服务器后一切就正常的情况。</p>
<p>同样，我遇到过至少两起消费级路由器出现停止转发DNS请求而其它类型流量依然正常的情况。在其中一起案例中，重新启动路由器就可以解决该问题。而在另一起案例中，就必须更换路由器。据分析，该路由器可能是在前一天发生的停电事故中损坏。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 15:16:21</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%97%ae%e9%a2%98/" title="问题">问题</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e5%90%8d%e7%a7%b0/" title="名称">名称</a>, <a href="https://www.iamivan.net/tag/%e6%95%85%e9%9a%9c/" title="故障">故障</a>, <a href="https://www.iamivan.net/tag/dns/" title="dns">dns</a>, <a href="https://www.iamivan.net/tag/dns%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="dns服务器">dns服务器</a>, <a href="https://www.iamivan.net/tag/%e6%b2%a1%e6%9c%89%e6%9c%8d%e5%8a%a1%e5%99%a8%e5%90%8d%e7%a7%b0/" title="没有服务器名称">没有服务器名称</a>, <a href="https://www.iamivan.net/tag/dns%e8%a7%a3%e6%9e%90%e6%97%b6%e9%97%b4/" title="dns解析时间">dns解析时间</a>, <a href="https://www.iamivan.net/tag/%e6%9c%ba%e5%99%a8%e6%98%af%e5%90%a6%e8%81%94%e7%bd%91/" title="机器是否联网">机器是否联网</a>, <a href="https://www.iamivan.net/tag/dns%e6%9c%8d%e5%8a%a1/" title="DNS服务">DNS服务</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>帮你修复DNS故障的十个要诀的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZ7DRwb.html" rel="bookmark">站长网每日播报：余额宝遇规模天花板 国内现大范围DNS故障</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 1.腾讯QQ邮箱及QQ第三方登陆均崩溃,超一小时仍未恢复 大家都知道,腾讯的QQ邮箱及第三方登陆都是中国整个互联网使用量最大的,这都得益于他的强大的用户基础及超高的用户粘度,而今天的故障确时间如此之长,实有失腾讯巨头身份的水准哦! 2.消息称苹果4.7寸iPhone 6已经投产 最早6月发布 1月21日消息,据国外媒体报道,AppleInsider网站称,业内传出了有关苹果智能手表iWatch和iPhone 6的最新消息:苹果最早于6月开发			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/wzVk1nb.html" rel="bookmark">新网称DNS服务器故障已修复 用户故障依旧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				4月27日,新网发布公告,称上午9点50分新网DNS服务器出现故障,现已于10点45分恢复,目前DNS服务器运行正常.但51CTO.com记者调查,域名故障依旧. 下文为新网发出的故障处理公告: 尊敬的新网用户: 您好! 2007年4月27日(周五)上午9点50分新网DNS服务器出现故障,现已于10点45分恢复,目前DNS服务器运行正常.对于此次故障给您造成的不便和损失我们深表歉意. 如有任何疑问欢迎您致电010-58022233新网技术服务部7×24小时服务热线,或发送email至suppor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z425OqM.html" rel="bookmark">番茄花园win7旗舰版系统怎么自动检查并修复网络故障</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  1.首先鼠标右键单击通知区域的网络图标,选择&quot;打开网络和共享中心&quot;选项; 2.在打开的窗口中单击&quot;疑难解答&quot;链接文字,然后选择要检查的疑难故障.比如电脑无法连接Internet,则单击&quot;Internet连接&quot;; 3.在出现的对话框中点击&quot;下一步&quot;按钮,接着在下一个对话框中单击&quot;连接到Internet的疑难解答&quot;按钮; 4.这时候系统就会开始检查电脑的网络连接以及设置状况,并显示可能导致故障的问题,而且还			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9ELvdM.html" rel="bookmark">提示&OpenCurlyDoubleQuote;您的计算机配置似乎正确的&rdquo;的DNS故障</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  电脑出现&quot;您的计算机配置似乎正确的,但该设备或资源(DNS)没检测到响应&quot;的提示,但是网络连接显示正常,或者同一个局域网的其他人都能上网.出现这种状况的原因有很多,如果你的电脑也出现了&quot;您的计算机配置似乎正确的,但该设备或资源(DNS)没检测到响应&quot;的提示的话,那就要耐心处理一下了. 首先,如果你的电脑能上QQ等软件,却打不开网页,那就可能是DNS解析不了,这时候你可以看看自己的电脑的DNS是手动获取还是自动获取,如果是手动获取的话,改为自动获取.具体操作是(w			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxjGvBz.html" rel="bookmark">DNS故障追踪 由24岁站长引发的蝴蝶效应　　</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 SEO诊断 淘宝客 云主机 技术大厅 24岁的免费域名服务商DNSPod站长吴洪声在2天2夜没有合眼后,决定主动约见媒体,就5月19日晚间多省大规模网络故障事件做出说明.在吴洪声看来,这次由DNSPod遭到恶意攻击引起的事故是一场蝴蝶效应:他的DNSPod是蝴蝶扇了下翅膀,暴风影音就成为了太平洋上的风暴. 18日晚:蝴蝶的翅膀 吴洪声直到20号下午才意识到,19日晚上大规模的网络故障与自己的DNSPod有关.此前的一天里,他一直忙于处理网络故障:18日晚上22点左右,DNSPod设在江			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDJ3nBM.html" rel="bookmark">江苏电信部分地区断网超过两小时疑为DNS故障</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7月28日凌晨消息,江苏省部分地区的中国电信宽带网络一度出现故障,致使用户上网受到影响. 位于南京的8684公交网运营总监于斌向新浪科技表示,晚间8点左右接到用户反映无法上网后,便致电南京.南通.苏州.盐城.无锡等地中国电信用户,获证实网络出现问题,以电信固定宽带方式接入的用户开始不能访问大部分网站,QQ部分掉线.直至晚间22:20左右,网络才陆续恢复. 中国电信苏州公司客户服务人员则在晚间11点向新浪科技证实,从8点开始陆续有用户反映无法上网,但目前已经恢复. 但直至28日零点,中国电信南京公			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b28WRBp.html" rel="bookmark">DNS故障追踪：两队私服黑客互掐引发蝴蝶效应</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				5月22日凌晨,24岁的免费域名服务商DNSPod站长吴洪声在2天2夜没有合眼后,决定主动约见媒体,就5月19日晚间多省大规模网络故障事件做出说明.在吴洪声看来,这次由DNSPod遭到恶意攻击引起的事故是一场蝴蝶效应:他的DNSPod是蝴蝶扇了下翅膀,暴风影音就成为了太平洋上的风暴.18日晚:蝴蝶的翅膀吴洪声直到20号 下午才意识到,19日晚上大规模的网络故障与自己的DNSPod有关.此前的一天里,他一直忙于处理网络故障:18日晚上22点左右,DNSPod设在江苏常州的主站及多个DNS服务器遭受			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY9k5VM.html" rel="bookmark">江苏电信再次断网两小时 疑为DNS故障</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				7月28日凌晨,江苏省部分地区的中国电信宽带网络一度出现故障,致使用户上网受到影响.位于南京的8684公交网运营总监于斌向新浪科技表示,晚间8点左右接到用户反映无法上网后,便致电南京.南通.苏州.盐城.无锡等地中国电信用户,获证实网络出现问题,以电信固定宽带方式接入的用户开始不能访问大部分网站,QQ部分掉线.直至晚间22:20左右,网络才陆续恢复.中国电信苏州公司客户服务人员则在晚间11点向新浪科技证实,从8点开始陆续有用户反映无法上网,但目前已经恢复.但直至28日零点,中国电信南京公司 客服电			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKdAnEM.html" rel="bookmark">域名注册商新网互联DNS故障 影响数万网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 6月19日晚间消息,据内部人士证实,域名服务商新网互联旗下的DNS服务器今晚出现故障,导致该公司旗下数以万计的网站域名无法访问. 据新网互联一位客户透露,他今晚陆续接到多个用户电话,反映其网站无法访问.该客户在与新网互联的相关业务代表联系后获悉,该公司DNS服务器出现了故障,当时技术人员正在抢修,但对方未透露恢复时间. &quot;我听他们内			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvjarM.html" rel="bookmark" class="title">一个普通工人失败的站长生涯</a>
					<div>
						一开始我应该介绍一下自己的,但是实在不知道怎么去称呼自己,因为我实在不配站长这个称呼啊!顶多是个失败的站长,一个没有技术的站长,一个随波逐流的站长,我的本职工作是一个水泥厂工人,和站长是完全不同类型的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeqQVz.html" rel="bookmark" class="title">循环创建 SQL Server 的列&period;</a>
					<div>
						server|创建|循环 david==&gt;在哪個城市都呆的不爽!!!討厭武漢 问到了这个问题, 我简单的写了一个例子. declare @para  intset @para=1declare  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrQOWb.html" rel="bookmark" class="title">一个ASP版的图片浏览器</a>
					<div>
						浏览器 这是我第一次翻译文章,不足之处,还请见谅.印度,现在之所以成为软件出口大国,有很多地方都优于我们.其中一个首要的优势就是印度的官方语言是英语,这就为以英语作为编程语言的印度程序员带来得天独厚的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1K5oz.html" rel="bookmark" class="title">设计ASP时对其安全性以及稳定性设计的经验</a>
					<div>
						安全|安全性|设计 我是搞江湖程序出身的,那个时候网上满那都是黑客攻击江湖的范例.在当时还是菜鸟兼 站长的我是吃尽了苦头,也许下边的一些经验都不是有太高技术含量,但是如果小瞧的话 死的可能会很惨 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8nPob.html" rel="bookmark" class="title">SEO网站优化之全方位建设网站外链</a>
					<div>
						本文旨在探讨外链的全方位建设,自己制作了一张表单,分享给大家看看,有不足和没有写到的地方,还请大家多指教指教. SEO外链建设第一步:统计网站目前外链情况,并且按照自己的时间规划好,每日需要发多少外链 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK04Np.html" rel="bookmark" class="title">在工作簿里面运用Excel工作表</a>
					<div>
						由于一本工作簿具有多张工作表,且它们不可能同时显示在一个屏幕上,所以我们要不断地在工作表中切换,来完成不同的工作.例如第一张工作表是本年度销售统计报表,第二张表格则是年度按月销售曲线图,第三张表格是按 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxJekb.html" rel="bookmark" class="title">怎么查看自己的上网速度</a>
					<div>
						宽带用户ADSL,都非常关心自己的上网速度为多少,到底是快还是慢.并且,也有各种软件或测试网站提供检查上网速度的服务.然而,上网速度的查询,是一个复杂的问题,并不是三言两语就能说清楚问题的.电脑主题之 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8APYb.html" rel="bookmark" class="title">SSH实现无密码登录</a>
					<div>
						  除了通过交互式的方式输入用户名和密码以为,SSH中还可以通过一种&quot;公私钥&quot;的方式进行登录,具体的原理为: 首先在客户端上创建一对公私钥 (公钥文件:~/.ssh/id_rsa. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EWyaM.html" rel="bookmark" class="title">js checkbox radio</a>
					<div>
						因为要兼容firefox和ie,所以在事件处理方面很费了些许时间,因此把心得和大家分享  一.ie处理事件的机制    采用事件冒泡策略,事件从最底层的element冒泡到最顶层的window,在事件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjdn5p.html" rel="bookmark" class="title">ios闹钟程序-iOS闹钟程序实现的过程</a>
					<div>
						问题描述 iOS闹钟程序实现的过程 求iOS闹钟程序实现的过程,不要是早几年的,新版本的,感激不尽,非常感谢 解决方案 http://download.csdn.net/detail/u0125245 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRqvEkb.html" rel="bookmark" class="title">Sugarhosts圣诞节超级优惠：域名注册一折</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 著名主机域名服务商 Sugarho ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPG7lp.html" rel="bookmark" class="title">android 无法生成R文件的原因剖析</a>
					<div>
						android 无法生成R文件 是件痛苦的事情,即使有时候你xml文件没有错误,他都无法生成.针对此问题,我总结以下几个方面的原因. 一.xml本身有错误 R.java这个文件是会自动生成的,但是如果 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZEVr4p.html" rel="bookmark" class="title">请百万站长联合起来，声讨卡巴斯基&OpenCurlyDoubleQuote;误报门&rdquo;事件</a>
					<div>
						中介交易 SEO诊断淘宝客 站长团购 云主机 技术大厅 我只是一名很普通的个人站长,我经营的女性电子商务网站已经有三年多了,流量和收益始终很好,在广东这片经济和互联网相对发达的地区也算小有名气,我的许 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4Nv39M.html" rel="bookmark" class="title">为MySQL选择合适的备份方式</a>
					<div>
						数据库的备份是极其重要的事情.如果没有备份,遇到下列情况就会抓狂: UPDATE or DELETE whitout where- table was DROPPed accidentally- IN ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZv6Ob.html" rel="bookmark" class="title">小白自学教程：如何选择正确的防火墙</a>
					<div>
						本文讲的是 : 小白自学教程:如何选择正确的防火墙   , [IT168 评论]对于保护网络和数据免受内部和外部威胁,防火墙发挥着至关重要的作用.防火墙是将网络与互联网分开的虚拟墙;他们可过滤流量,限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRgBOp.html" rel="bookmark" class="title">java-android中Bundle与Map的区别是什么</a>
					<div>
						问题描述 android中Bundle与Map的区别是什么 android中Bundle与Map的区别是什么 相同点都是以key-value形式储存数据 解决方案 http://blog.csdn.n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRK99b.html" rel="bookmark" class="title">Java工作利器之常用工具类（二）&mdash;&mdash;数字工具类-大数乘法、加法、减法运算</a>
					<div>
						上篇分享了一下数字转汉字的小功能,这里再分享一下大数相乘.相加.相减的功能.其他的不做过多的铺垫了,我先讲一下各个功能的计算原理. Ⅰ. 乘法运算 为什么先说乘法运算--因为我先做了乘法运算.其实思路 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8AawVz.html" rel="bookmark" class="title">开放的Android更易中招安全防护刻不容缓</a>
					<div>
						&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;nbsp;  2010年,计算机病毒诞生25周年:2010年,Andr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAGkJM.html" rel="bookmark" class="title">使用Node&period;js、Express、MongoDB和AngularJS构建问卷调查应用程序</a>
					<div>
						在前端,该应用程序会使用 AngularJS 和 Bootstrap 支持用户界面,并使用 Web Sockets 来支持投票,以便实时更新客户端. 最近,在向大学生们介绍 HTML5 的时候,我想要 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQBne0M.html" rel="bookmark" class="title">杂项函数库：show&lowbar;source</a>
					<div>
						show_source (PHP4) show_source ---&amp;http://www.aliyun.com/zixun/aggregation/37954.html&quot;&gt;n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmojWb.html" rel="bookmark" class="title">jquery-jQuery中 jQuery对象转换为Dom对象</a>
					<div>
						问题描述 jQuery中 jQuery对象转换为Dom对象 jQuery对象转换为DOM对象有两种方法: 第一种:通过对象数组的 index 来转换 第二种:通过jQuery对象的get(index) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPB7Amb.html" rel="bookmark" class="title">MySql的安装与卸载</a>
					<div>
						首先到官网下载MySQL,点击安装 出现的页面如下,依次安装就好了,安装过程中需要修改的只有编码格式,需要填写的是数据库的密码,MySQL的默认用户名为root,默认端口为3306,端口号最好不要修改 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR0EKp.html" rel="bookmark" class="title">调查：万家购物网馅饼背后的传销真相？</a>
					<div>
						买多少返多少,坐在家里购物还可以得到高额回报,而且没有任何风险,难道天上真的掉馅饼?近日,一名 网友向本节目打来电话,质疑一家名为&quot;万家购物&quot;网所发起的购物加盟计划,涉嫌变相传销. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeOAZM.html" rel="bookmark" class="title">SSAS系列&mdash;&mdash;【01】准备知识</a>
					<div>
						原文:SSAS系列--[01]准备知识      关于SQL Server 产品,我从2004年就开始使用了,SQL Server 2K,2K5,2K8,到如今已经准6年了,说来惭愧,这六年来所涉及的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq70D2z.html" rel="bookmark" class="title">数据结构Java实现05----栈：顺序栈和链式堆栈</a>
					<div>
						一.堆栈的基本概念: 堆栈(也简称作栈)是一种特殊的线性表,堆栈的数据元素以及数据元素间的逻辑关系和线性表完全相同,其差别是线性表允许在任意位置进行插入和删除操作,而堆栈只允许在固定一端进行插入和删除 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqkxxb.html" rel="bookmark" class="title">jpa 外键做联合主键-JPA 外键做联合主键 报错</a>
					<div>
						问题描述 JPA 外键做联合主键 报错 get.set方法hashCode.equals都有 在Valuator报错 Persistent type of override attribute &qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodnkdM.html" rel="bookmark" class="title">域名对于网络创业者和每位站长来说都是必须要进行选择的</a>
					<div>
						摘要: 域名对于网络创业者和每位站长来说都是必须要进行选择的,特别对于那些想要建立品牌网站的创业者来说,在选择的过程中往往要花费很大的精力和时间,好的域名通常能起到事倍功 域名对于网络创业者和每位站长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Q7VXM.html" rel="bookmark" class="title">柳传志凭什么说&OpenCurlyDoubleQuote;联想成功只需一年&rdquo;</a>
					<div>
						大家都认为,柳传志再度出山是理所当然,也寄予了厚望,而他自己也表现出了老当益壮,誓要改变联想的那片天的满怀豪情壮志.前天老柳借出席http://www.aliyun.com/zixun/aggrega ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mlm6EYp.html" rel="bookmark" class="title">规划路径-自动规划出路线路径的问题</a>
					<div>
						问题描述 自动规划出路线路径的问题 告诉两个点,自动计算出两个点之间最短距离的路径规划 我想的是,自己写路径必须经过的点的坐标,然后连线,但是一个停车场100个停车位 我就要写100x100条路线规划 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvW5K9p.html" rel="bookmark" class="title">【Swift】iOS 9 Core Spotlight</a>
					<div>
						前言 感觉 Spotlight 这个功能还是蛮有用的,能提升用户活跃,增加应用内容曝光几率.   声明  欢迎转载,但请保留文章原始出处:)  博客园:http://www.cnblogs.com 农 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
